package com.njyunzhi.pet_identity.service;

import com.njyunzhi.pet_identity.entity.TaApplication;
import com.njyunzhi.pet_identity.entity.TaPetIdentity;
import com.njyunzhi.pet_identity.vo.MakeCardParam;

/**
 * <p>
 * 宠物证件 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-05-25
 */
public interface ITaPetIdentityService extends IBaseService<TaPetIdentity> {

    TaPetIdentity createNewCard(TaApplication taApplication, MakeCardParam makeCardParam) throws Exception;

    boolean extendDate(TaPetIdentity taPetIdentity) throws Exception;

    TaPetIdentity getByPet(String petId, String personId);

    int countNotDelete();
}
